%global githash 9329195b310dd861e97b9655173b4aa564de05dc

Name:          jmatio
Version:       1.1
Release:       7%{?dist}
Summary:       Java Matlab IO library
License:       BSD
URL:           https://sourceforge.net/projects/jmatio/
Source0:       https://github.com/gradusnikov/jmatio/archive/%{githash}.zip
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local
BuildRequires: /usr/bin/perl
BuildArch:     noarch

%description
Matlab's MAT-file I/O API in Java.
Supports Matlab 5 MAT-file format
reading and writing.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

# fix non ASCII chars
for s in src/main/java/com/jmatio/types/MLSparse.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

# fix eol
%{__perl} -pi -e 's/\r$//g' LICENSE.txt README_old.txt

%build

%mvn_file :%{name} %{name}
%mvn_alias com.imaginglaboratory:%{name} net.sourceforge.%{name}:%{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md README_old.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 gil cattaneo <puntogil@libero.it> 1.1-5
- add missing BR

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.1-2
- introduce license macro

* Tue Oct 28 2014 gil cattaneo <puntogil@libero.it> 1.1-1
- update to 1.1

* Thu Sep 25 2014 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
